// VBox7.js for PSPTube
// Made By JK108

function VBox7_CheckURL( url, option )
{
	if (url.match("http://vbox7.com") == "http://vbox7.com"){
		return 1;
	} else{
		return 0;
	}
}

/*
 Get a VBox7 URL
*/
function VBox7_GetURL( url, option )
{
	var pos = url.indexOf("play:");
	var video_id = url.substring(pos + 5, url.length);
	var video_url = "http://svalqi.com/get_psp.php?vid=" + video_id;
	var contents = GetContents(video_url);
	if(contents == null) { return null; /* failed to get page */ }
	var video_url = contents.match(/\<a  href\=\"(.*?)\"\>/);
	var video_url = video_url[1];
	return video_url;
}

function VBox7_Search( keyword, start_index, length, option )
{
	var result = new Object();
        result.keyword   = keyword;	// Search
	result.VideoInfo = new Array();	// Results in sequence
	result.start     = start_index;	// Index of first result
	result.end       = 0;
	result.total     = -1;
	var perpage = 12;


	result.start = (((result.start - 1) / 10) * perpage) + 1;


	if(result.start < perpage){
	var contents = GetContents( "http://vbox7.com/search/?vbox_q=" + keyword.replace(/ /g, "+") );
	} else{
	var num = 1 + ((result.start - 1) / perpage);
	var contents = GetContents( "http://vbox7.com/search/?vbox_q=" + keyword.replace(/ /g, "+") + "&page=" + num );
	}
	if(contents == null) { return null; /* failed to get page */ }


	if(contents.match("<span style=\"font-size: 18px; font-weight: bold;\">") == "<span style=\"font-size: 18px; font-weight: bold;\">"){ result.total = 0; return result; }
	var total = contents.match(/\: \<span style\=\"color\: #FF0000\"\>(.*?)\<\/span\>/);
	var total = total[1].replace(/,/g, "");
	result.total = total;


	while(1){
	var pos = contents.indexOf("<td class=\"sres\" align=\"left\" valign=\"top\">");

	if(pos != -1){
		contents = contents.substring(pos + 43, contents.length);
		//Get URL
		var url = contents.match(/\" href\=\"(.*?)\"/);
		var url = "http://vbox7.com" + url[1];
		//Get Thumbnail
		var thumb_url = contents.match(/\" src\=\"(.*?)\"/);
		var thumb_url = thumb_url[1];
		//Title
		var title = contents.match(/\" alt\=\"(.*?)\"/);
		var title = ImproveText(title[1]);
		//Length
		var length = contents.match(/\: \<b\>(.*?)\<\/b\>/);
		var length = TimestringToSeconds(length[1]);
		//Description
		var description = contents.match(/href\=\"\/user\:(.*?)\"\>/);
		var description = splitTo2Lines(ImproveText("Posted by: " + description[1]), 60);
		//Views
		pos = contents.indexOf(": <b>");
		contents = contents.substring(pos + 5, contents.length);
		var views = contents.match(/\: \<b\>(.*?)\<\/b\>/);
		var views = parseInt(views[1].replace(/ /g, ""));
		
		info = new Object();
		info.URL = url;
		info.ThumbnailURL = thumb_url;
		info.Title = title;
		info.LengthSeconds = length;
		info.Description = description;
		info.ViewCount = views;
		info.SaveFilename = ToFilename(title);
		info.attr = 7;
		result.VideoInfo.push( info );
		if(result.VideoInfo.length == perpage){break;}
		if(result.start + (result.VideoInfo.length - 1) == result.total){break;}
	} else{
		break;
	}
	}


	if(result.VideoInfo.length) {
		result.end = result.start + (result.VideoInfo.length - 1);
	} else {
		result.total = 0;	// no results.
	}

	if(result.VideoInfo.length != perpage){result.total = result.end;}

	return result;
}

// Service metadata
var VBox7 = new Object();
VBox7.Name          = "VBox7";		/* Service name */
VBox7.Description   = "VBox7";		/* Service description */
VBox7.SearchDesc    = "VBox7";		/* Service search screen description */
VBox7.SearchOSKMode = 1;			/* OSK mode 1: English only  2: Japanese */
VBox7.CheckURL      = VBox7_CheckURL;	/* CheckURL function */
VBox7.GetURL        = VBox7_GetURL;		/* GetURL function */
VBox7.Search        = VBox7_Search;		/* Search function */

// add VBox7 to site list
SiteList.push( VBox7 );
